package fixture;

import java.util.ArrayList;

import project.Auction;
import project.Category;
import project.Item;
import project.ItemPicture;

public class ItemFixture {

	private Item i;
	private ArrayList<ItemPicture> image;
	private String description;
	private String title;
	private String ID;
	private Category category;
	public static ArrayList<Item> items;

	public Item getI() {
		return i;
	}

	public ArrayList<ItemPicture> getImage() {
		return image;
	}

	public String getDescription() {
		return description;
	}

	public String getTitle() {
		return title;
	}

	public String getID() {
		return ID;
	}

	public Category getCategory() {
		return category;
	}

	public static ArrayList<Item> getItems() {
		return items;
	}

	public void setI(Item i) {
		this.i = i;
	}

	public void setImage(ArrayList<ItemPicture> image) {
		this.image = image;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public void setID(String iD) {
		ID = iD;
	}

	public void setCategory(Category category) {
		this.category = category;
	}

	public static void setItems(ArrayList<Item> items) {
		ItemFixture.items = items;
	}

	public boolean delete(int id) {
		i = Item.getInstance();
		return i.delete(id);
	}	
	
	public boolean modify(int id) {
		i = Item.getInstance();
		return i.modify(id);
	}
	
	public boolean addPicture(int itemId, int picId) {
		i = Item.getInstance();
		return i.addPicture(itemId, picId);
	}
	
	public ArrayList<Auction> getAuctionHistory(int id) {
		i = Item.getInstance();
		return i.getAuctionHistory(id);
	}
}
