package fixture;

import java.util.ArrayList;

import project.Auction;
import project.Category;
import project.Image;
import project.Item;
import project.Seller;

public class SellerFixture {

	private Seller s;
	private String title, description, startTime, endTime;
	private Category category;
	private ArrayList<Image> images;
	private ArrayList<Item> sellerItems;
	private ArrayList<Auction> sellerAuctions;
	private Item item;
	private double price, bidIncrement;

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	public void setItem(Item item) {
		this.item = item;
	}

	public void setPrice(double price) {
		this.price = price;
	}

	public void setBidIncrement(double bidIncrement) {
		this.bidIncrement = bidIncrement;
	}

	public void setS(Seller s) {
		this.s = s;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public void setCategory(Category category) {
		this.category = category;
	}

	public void setImages(ArrayList<Image> images) {
		this.images = images;
	}

	public Item addItem() {

		s = Seller.getInstance();
		return s.addItem(title, description, images, category);

	}

	public boolean createAuction() {

		s = Seller.getInstance();
		s.setMyAuctions(sellerAuctions);
		return s.createAuction(item, startTime, endTime, price, bidIncrement);

	}

	public ArrayList<Auction> displayMyAuctions() {

		s = Seller.getInstance();
		return s.getMyAuctions();
	}

	public ArrayList<Item> displayMyItems() {

		s = Seller.getInstance();
		s.setMyItems(sellerItems);
		return s.getMyItems();
	}
}
