package fixture;

import java.security.Timestamp;
import java.util.ArrayList;

import project.Auction;
import project.AuctionBeater;
import project.Item;
import project.Seller;
import project.User;

public class AuctionFixture {

	private Auction a;
	private Item item;
	private Timestamp startTime;
	private Timestamp endTime;
	private ArrayList<User> subscribedUsers;
	public static ArrayList<Auction> auctions;
	private Seller Seller;
	private AuctionBeater auctionbeater;
	private int currentValue;
	private int offerValue;

	public boolean subscribe(int id) {
		a = Auction.getInstance();
		return a.subscribe(id);
	}

	public void checkTime() {
		a = Auction.getInstance();
		a.checkTime();
	}

	public boolean assignToUser(int id) {
		a = Auction.getInstance();
		return a.assignToUser(id);
	}

	public Auction getA() {
		return a;
	}

	public Item getItem() {
		return item;
	}

	public Timestamp getStartTime() {
		return endTime;
	}

	public Timestamp getEndTime() {
		return endTime;
	}

	public ArrayList<User> getSubscribedUsers() {
		return subscribedUsers;
	}

	public static ArrayList<Auction> getAuctions() {
		return auctions;
	}

	public Seller getSeller() {
		return Seller;
	}

	public AuctionBeater getAuctionbeater() {
		return auctionbeater;
	}

	public int getCurrentValue() {
		return currentValue;
	}

	public int getOfferValue() {
		return offerValue;
	}

	public void setA(Auction a) {
		this.a = a;
	}

	public void setItem(Item item) {
		this.item = item;
	}

	public void setStartTime(Timestamp startTime) {
		this.startTime = startTime;
	}

	public void setEndTime(Timestamp endTime) {
		this.endTime = endTime;
	}

	public void setSubscribedUsers(ArrayList<User> subscribedUsers) {
		this.subscribedUsers = subscribedUsers;
	}

	public static void setAuctions(ArrayList<Auction> auctions) {
		AuctionFixture.auctions = auctions;
	}

	public void setSeller(Seller seller) {
		Seller = seller;
	}

	public void setAuctionbeater(AuctionBeater auctionbeater) {
		this.auctionbeater = auctionbeater;
	}

	public void setCurrentValue(int currentValue) {
		this.currentValue = currentValue;
	}

	public void setOfferValue(int offerValue) {
		this.offerValue = offerValue;
	}

}
